Debian Bug report logs - #583485
live-initramfs: debconf database is not filled

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Josselin Mouette <joss@debian.org>

Date: Thu, 27 May 2010 19:16:21 UTC

Severity: normal

Merged with 584075, 584967

Found in version live-initramfs/1.236.2-1

Fixed in version live-boot/2.0~a1-1

Done: daniel@debian.org

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583485; Package live-initramfs. (Thu, 27 May 2010 19:16:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 27 May 2010 19:16:24 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: submit@bugs.debian.org
Subject: live-initramfs: debconf database is not filled
Date: Thu, 27 May 2010 21:06:13 +0200
Package: live-initramfs
Version: 1.236.2-1
Severity: grave

When booting a live USB key with the latest live-initramfs, no user is
created upon boot. Upon investigation it seems that the 10adduser script
doesn’t populate the debconf database in /root/var/cache/debconf at all.
Therefore user-setup fails and nothing is done.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “A handshake with whitnesses is the same
  `-     as a signed contact.”  -- Jörg Schilling





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583485; Package live-initramfs. (Thu, 27 May 2010 19:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jiří Paleček <jpalecek@web.de>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 27 May 2010 19:45:08 GMT) Full text and rfc822 format available.

Message #10 received at 583485@bugs.debian.org (full text, mbox):

From: Jiří Paleček <jpalecek@web.de>
To: "Josselin Mouette" <joss@debian.org>, 583485@bugs.debian.org
Subject: Re: Bug#583485: live-initramfs: debconf database is not filled
Date: Thu, 27 May 2010 21:43:12 +0200
On Thu, 27 May 2010 21:06:13 +0200, Josselin Mouette <joss@debian.org>  
wrote:

> When booting a live USB key with the latest live-initramfs, no user is
> created upon boot. Upon investigation it seems that the 10adduser script
> doesn’t populate the debconf database in /root/var/cache/debconf at all.
> Therefore user-setup fails and nothing is done.

Welcome aboard... see  
http://lists.debian.org/debian-live/2010/05/msg00108.html

  Jiri Palecek




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583485; Package live-initramfs. (Thu, 27 May 2010 19:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 27 May 2010 19:57:05 GMT) Full text and rfc822 format available.

Message #15 received at 583485@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Jiří Paleček <jpalecek@web.de>
Cc: 583485@bugs.debian.org
Subject: Re: Bug#583485: live-initramfs: debconf database is not filled
Date: Thu, 27 May 2010 21:52:33 +0200
Le jeudi 27 mai 2010 à 21:43 +0200, Jiří Paleček a écrit :
> On Thu, 27 May 2010 21:06:13 +0200, Josselin Mouette <joss@debian.org>  
> wrote:
> 
> > When booting a live USB key with the latest live-initramfs, no user is
> > created upon boot. Upon investigation it seems that the 10adduser script
> > doesn’t populate the debconf database in /root/var/cache/debconf at all.
> > Therefore user-setup fails and nothing is done.
> 
> Welcome aboard... see  
> http://lists.debian.org/debian-live/2010/05/msg00108.html

Oh great.

So while there is a trivial fix - that is, reverting the 10adduser
script to the previous version, we will have to wait for an alpha
version that will be even more broken?

Daniel, are you aware that alpha versions should never, EVER be uploaded
to unstable? We have experimental for that. Especially when we are close
to a freeze.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “A handshake with whitnesses is the same
  `-     as a signed contact.”  -- Jörg Schilling





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583485; Package live-initramfs. (Thu, 27 May 2010 20:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 27 May 2010 20:00:06 GMT) Full text and rfc822 format available.

Message #20 received at 583485@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: 583485@bugs.debian.org
Subject: Re: Bug#583485: live-initramfs: debconf database is not filled
Date: Thu, 27 May 2010 21:58:13 +0200
tag 583485 pending
thanks

On 05/27/2010 09:06 PM, Josselin Mouette wrote:
> When booting a live USB key with the latest live-initramfs, no user is
> created upon boot. Upon investigation it seems that the 10adduser script
> doesn’t populate the debconf database in /root/var/cache/debconf at all.
> Therefore user-setup fails and nothing is done.

it's, amongst other things, fixed in live-boot which is sitting in NEW
(source package name is live-boot). i'm sorry for the (hopefully only
short) inconvenience.

in the meanwhile: please use 'deb http://live.debian.net/debian/' for
up2date snapshots of live-boot (aka live-initramfs 2.x), which can be
easily included by live-helper (2.0~a13-1, currently in sid) through 'lh
config -r live.debian.net'.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 27 May 2010 20:00:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583485; Package live-initramfs. (Thu, 27 May 2010 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 27 May 2010 20:03:03 GMT) Full text and rfc822 format available.

Message #27 received at 583485@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Jiří Paleček <jpalecek@web.de>
Cc: 583485@bugs.debian.org
Subject: Re: Bug#583485: live-initramfs: debconf database is not filled
Date: Thu, 27 May 2010 22:00:35 +0200
On 05/27/2010 09:43 PM, Jiří Paleček wrote:
> Welcome aboard... see
> http://lists.debian.org/debian-live/2010/05/msg00108.html

jup.. since your last mail, it's all waiting for ftp-masters. i
currently can't do more than upload the packages.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583485; Package live-initramfs. (Thu, 27 May 2010 21:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 27 May 2010 21:06:08 GMT) Full text and rfc822 format available.

Message #32 received at 583485@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: 583485@bugs.debian.org, Jiří Paleček <jpalecek@web.de>
Subject: Re: Bug#583485: live-initramfs: debconf database is not filled
Date: Thu, 27 May 2010 23:03:32 +0200
On 05/27/2010 09:52 PM, Josselin Mouette wrote:
> So while there is a trivial fix - that is, reverting the 10adduser
> script to the previous version, we will have to wait for an alpha
> version that will be even more broken?

'alpha' doesn't mean 'experimental buggy software' here, but 'could
change interface (aka boot parameters) until final release'. the split
(and thus its rename) doesn't introduce any more bugs, in fact, i fixed
a couple on the way when doing that split.

apart from that; why blame me for the slowness of NEW wrt/ my packages?
there's no rational reason i can think of for holding back any live-*
package in NEW.

(and no, just 'reverting 10adduser' wouldn't be the correct fix here
anyway).

> Daniel, are you aware that alpha versions should never, EVER be uploaded
> to unstable? We have experimental for that. Especially when we are close
> to a freeze.

if it would be an alpha version in the common meaning of alpha, i would
agree.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Severity set to 'important' from 'grave' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 27 May 2010 21:48:02 GMT) Full text and rfc822 format available.

Forcibly Merged 583485 584075. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 01 Jun 2010 04:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583485; Package live-initramfs. (Wed, 02 Jun 2010 20:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pablo Barbáchano <pablobarbachano@yahoo.es>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 02 Jun 2010 20:54:10 GMT) Full text and rfc822 format available.

Message #41 received at 583485@bugs.debian.org (full text, mbox):

From: Pablo Barbáchano <pablobarbachano@yahoo.es>
To: 583485@bugs.debian.org
Subject: workaround does not work either
Date: Wed, 2 Jun 2010 13:52:30 -0700
I tried the lh config -r live.debian.net, verified that it uses
live-config and friends and it results in the same unloggable system

Is this expected?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583485; Package live-initramfs. (Wed, 02 Jun 2010 21:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pablo Barbáchano <pablo.barbachano@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 02 Jun 2010 21:33:08 GMT) Full text and rfc822 format available.

Message #46 received at 583485@bugs.debian.org (full text, mbox):

From: Pablo Barbáchano <pablo.barbachano@gmail.com>
To: 583485@bugs.debian.org
Subject: Re: workaround does not work either
Date: Wed, 2 Jun 2010 14:31:11 -0700
After reading through
  http://live.debian.net/gitweb?p=live-config.git;a=blob;f=scripts/config.sh;h=d6a4ad5c92655ef02f112c21092240e25f2eb903;hb=b5436f1c4e98b04eeb9768a1cb213fd1692d37b0
  http://live.debian.net/gitweb?p=live-config.git;a=blob;f=scripts/config/002-user-setup;h=a18be25c2f80af6b93bc4a85ca20960e60efc6ba;hb=b5436f1c4e98b04eeb9768a1cb213fd1692d37b0

Seems that you can login with "user:<default password>"

The problem appears to be that in the /proc/cmdline, lh config has
been traditionally using "username=myuser", and live-config expects
"live-config.username=myuser"


2010/6/2 Pablo Barbáchano <pablobarbachano@yahoo.es>:
> I tried the lh config -r live.debian.net, verified that it uses
> live-config and friends and it results in the same unloggable system
>
> Is this expected?
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583485; Package live-initramfs. (Wed, 02 Jun 2010 21:39:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pablo Barbáchano <pablo.barbachano@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 02 Jun 2010 21:39:15 GMT) Full text and rfc822 format available.

Message #51 received at 583485@bugs.debian.org (full text, mbox):

From: Pablo Barbáchano <pablo.barbachano@gmail.com>
To: 583485@bugs.debian.org
Subject: Re: workaround does not work either
Date: Wed, 2 Jun 2010 14:34:17 -0700
I'm going to try lh config --bootappend-live
live-config.username=myuser as a workaround and will update the bug

2010/6/2 Pablo Barbáchano <pablo.barbachano@gmail.com>:
> After reading through
>  http://live.debian.net/gitweb?p=live-config.git;a=blob;f=scripts/config.sh;h=d6a4ad5c92655ef02f112c21092240e25f2eb903;hb=b5436f1c4e98b04eeb9768a1cb213fd1692d37b0
>  http://live.debian.net/gitweb?p=live-config.git;a=blob;f=scripts/config/002-user-setup;h=a18be25c2f80af6b93bc4a85ca20960e60efc6ba;hb=b5436f1c4e98b04eeb9768a1cb213fd1692d37b0
>
> Seems that you can login with "user:<default password>"
>
> The problem appears to be that in the /proc/cmdline, lh config has
> been traditionally using "username=myuser", and live-config expects
> "live-config.username=myuser"
>
>
> 2010/6/2 Pablo Barbáchano <pablobarbachano@yahoo.es>:
>> I tried the lh config -r live.debian.net, verified that it uses
>> live-config and friends and it results in the same unloggable system
>>
>> Is this expected?
>>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583485; Package live-initramfs. (Wed, 02 Jun 2010 23:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pablo Barbáchano <pablobarbachano@yahoo.es>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 02 Jun 2010 23:21:09 GMT) Full text and rfc822 format available.

Message #56 received at 583485@bugs.debian.org (full text, mbox):

From: Pablo Barbáchano <pablobarbachano@yahoo.es>
To: 583485@bugs.debian.org
Subject: workaround works
Date: Wed, 2 Jun 2010 16:17:28 -0700
Verified. I can now login again. The complete workaround is:

lh config -r live.debian.net
lh config --bootappend-live live-config.username=myuser




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#583485; Package live-initramfs. (Thu, 03 Jun 2010 05:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 03 Jun 2010 05:00:03 GMT) Full text and rfc822 format available.

Message #61 received at 583485@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Pablo Barbáchano <pablobarbachano@yahoo.es>
Cc: 583485@bugs.debian.org
Subject: Re: Bug#583485: workaround works
Date: Thu, 03 Jun 2010 06:57:36 +0200
On 06/03/2010 01:17 AM, Pablo Barbáchano wrote:
> lh config --bootappend-live live-config.username=myuser

no, you don't need to specify the username.

what you need is to add 'live-config' to your boot parameters, see 'man
live-config' why. live-helper 2.0~a13-1 and newer adds this automatically.

that's why i've written you should use live-helper 2.0~a13-1 or newer
above...

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Forcibly Merged 583485 584075 584967. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 08 Jun 2010 03:54:08 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2.0~a1-1, send any further explanations to Josselin Mouette <joss@debian.org> Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 16 Jul 2010 03:03:06 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2.0~a1-1, send any further explanations to Pablo Barbachano <pablobarbachano@yahoo.es> Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 16 Jul 2010 03:03:09 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2.0~a1-1, send any further explanations to Marco Stronati <youfind.marco@gmail.com> Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 16 Jul 2010 03:03:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Aug 2010 07:37:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:53:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.